# $Revision: 1.12 $, $Date: 2003/03/17 06:18:34 $
Summary:	Linux bootloader for Power Macintosh "New World" computers
Summary(pl):	Bootloader dla komputerw Power Macintosh "New World"
Name:		yaboot
Version:	1.3.10
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://penguinppc.org/projects/yaboot/%{name}-%{version}.tar.gz
Source1:	%{name}_functions.sh
Patch0:		%{name}-man.patch
Patch1:		%{name}-user.patch
Patch2:		%{name}-bash.patch
Requires:	hfsutils >= 3.2.0
Requires:	bash >= 2.0
URL:		http://penguinppc.org/projects/yaboot/
ExclusiveArch:	ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	bootloader
Obsoletes:	ybin

%description
yaboot is a bootloader for PowerPC machines which works on New World
ROM machines (Rev. A iMac and newer) and runs directly from Open
Firmware, eliminating the need for Mac OS.

%description -l pl
yaboot to bootloader dla maszyn PowerPC, ktry dziaa na maszynach New
World ROM (rewizja A iMac oraz nowsze) oraz pracuje bezporednio z
Open Firmware przez co nie trzeba stosowa Mac OS.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	ROOT=$RPM_BUILD_ROOT \
	PREFIX=/ \
	MANDIR=%{_mandir}

install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-boot

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-boot/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS README THANKS TODO changelog doc/README.* doc/yaboot-howto.html
%attr(644,root,root) /etc/sysconfig/rc-boot/%{name}_functions.sh
%attr(755,root,root) /sbin/*
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%dir /lib/%{name}
%attr(755,root,root) /lib/%{name}/addnote
/lib/%{name}/*boot
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: yaboot.spec,v $
Revision 1.12  2003/03/17 06:18:34  marcus
- updated to 0.3.10
(for Ac and Ra/updates/general)
Fixes for RS/6000 and newest pmacs.

Revision 1.11  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.10  2002/11/25 15:09:42  qboosh
- fixed new %%doc

Revision 1.9  2002/11/25 14:56:32  marcus
- use new %%doc

Revision 1.8  2002/10/03 10:17:08  dzimi
- update to 1.3.7
- rel 1
- new yaboot incluce a lot of fixes

Revision 1.7  2002/06/21 14:36:29  speedy
- release++
- NEW! rc-boot support
- provides: bootloader

Revision 1.6  2002/03/19 02:15:11  marcus
- yaboot's scripts are for bash not pdksh
- rel.2.

Revision 1.5  2002/03/06 21:15:35  martii
- added hfsutils Req, needed for proper instalation on Bootstrap.

Revision 1.4  2002/03/02 19:54:12  kloczek
- cosmetics.

Revision 1.3  2002/03/02 19:01:44  misiek
- fixes (buildable from user)

Revision 1.2  2002/03/02 19:00:15  misiek
- fixes

Revision 1.1  2002/03/02 18:51:04  misiek
- initial pld release
